* {
	box-sizing: border-box;
}

body {
	margin: 0;
	font-family: Arial, sans-serif;
	background: #f2f2f2;
	color: #222;
}

.app {
	max-width: 600px;
	margin: 0 auto;
	min-height: 100vh;
	background: white;
}

.header {
	padding: 30px 20px;
	background: #222;
	color: white;
}

.header h1 {
	margin: 0;
	font-size: 28px;
}

.header p {
	margin: 6px 0 0;
	opacity: 0.7;
}

.content {
	padding: 20px;
}

.menu-button {
	width: 100%;
	display: flex;
	align-items: center;
	gap: 15px;
	padding: 20px;
	margin-bottom: 12px;

	border: none;
	border-radius: 12px;

	background: #f7f7f7;
	text-align: left;

	cursor: pointer;
}

.menu-button:hover {
	background: #eaeaea;
}

.icon {
	font-size: 30px;
}

.menu-button strong {
	display: block;
	font-size: 18px;
}

.menu-button small {
	display: block;
	margin-top: 4px;
	color: #777;
}



input {
	width: 100%;
	padding: 14px;
	margin-bottom: 10px;
	border: 1px solid #ddd;
	border-radius: 8px;
	font-size: 16px;
}

.primary-button {
	width: 100%;
	padding: 14px;
	border: none;
	border-radius: 8px;
	background: #222;
	color: white;
	font-size: 16px;
	cursor: pointer;
	margin-bottom: 30px;
}

.exercise {
	padding: 15px;
	margin-bottom: 8px;
	background: #f7f7f7;
	border-radius: 8px;
}

.menu-button {
	color: inherit;
	text-decoration: none;
}

.exercise-select {
	display: block;
	padding: 15px;
	margin-bottom: 8px;
	background: #f7f7f7;
	border-radius: 8px;
	cursor: pointer;
}

.exercise-select input {
	width: auto;
	margin: 0 10px 0 0;
}

.modal-overlay {
	position: fixed;
	inset: 0;

	background: rgba(0, 0, 0, 0.5);

	display: flex;
	align-items: center;
	justify-content: center;

	padding: 20px;

	z-index: 1000;
}

.modal {
	width: 100%;
	max-width: 500px;
	max-height: 80vh;

	overflow-y: auto;

	background: white;

	border-radius: 14px;

	padding: 20px;
}

.modal-header {
	display: flex;
	align-items: center;
	justify-content: space-between;
}

.modal-header h2 {
	margin: 0;
}

.modal-close {
	border: none;
	background: none;

	font-size: 30px;

	cursor: pointer;
}

.exercise-option {
	width: 100%;

	display: block;

	text-align: left;

	padding: 14px;

	margin-bottom: 8px;

	border: none;

	border-radius: 8px;

	background: #f5f5f5;

	cursor: pointer;
}

.exercise-option:hover {
	background: #e8e8e8;
}

.exercise-option strong {
	display: block;
	font-size: 16px;
}

.exercise-option small {
	display: block;
	margin-top: 4px;
	color: #777;
}

.secondary-button {
	width: 100%;

	padding: 12px;

	border: none;

	border-radius: 8px;

	background: #ddd;

	cursor: pointer;

	font-size: 15px;
}


.sets {
	margin-bottom: 12px;
}